@import "../variables";

.files {
  .file-actions {
    text-align: center;
  }

  .file {
    font-size: 10px;

    .info {
      height: 32px;
      margin: .3rem .1rem;
      padding: .2rem;
      overflow: hidden;
      word-wrap: break-word;
    }

    .actions {
      height: 2.3rem;
      overflow: hidden;
      border-top: solid $grey-light 1px;
      text-align: center;
      padding: .3rem 0 .1rem 0;
      background-color: $primary;
      transition: all .2s;

      & svg{
        fill: $white-bis;
      }
    }

    &.hidden {
      .actions {
        height: 0;
        padding: 0;
      }
    }
  }
}